matrix:
  platform:
    - debian10
    - rockylinux8
    - ubuntu2004
    - ubuntu2004_arm64
    - macos_arm64
  bazel: ["7.x", "8.x", "9.x"]
tasks:
  verify_targets:
    name: "Run test module"
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
      - "@ffmpeg//..."
  verify_ffmpeg_with_extras:
    name: "Build ffmpeg with extra features"
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
      - "@ffmpeg//..."
    test_flags:
      - "--@ffmpeg//:enable_libx264_encoder=True"
      - "--@ffmpeg//:enable_golomb=True"  # dependency of libx264_encoder
      - "--@ffmpeg//:enable_atsc_a53=True"  # dependency of libx264_encoder
